#ifndef morpheo_tools_viewer_bdd_Group_h
#define morpheo_tools_viewer_bdd_Group_h

#include <iostream>

#include <iterator>
#include "Tools/Viewer/Bdd/include/Param.h"
#include <qmap.h>


using namespace std;
namespace morpheo{
namespace tools{
namespace viewer{
namespace bdd{     
  
   
  
  class Group
    {      
    private:
      string name;
      int levelgroup;
      QMap<string,morpheo::tools::viewer::bdd::Param> *param;
    protected:


    public:
      /*alloc group list*/
      Group(string n,int value);
      Group(Group *g);
      Group();
      /*unalloc group list*/
      ~Group();
      /*return parameter list*/
      QList<morpheo::tools::viewer::bdd::Param> getParam();
      /*add a parameter to the list*/
      void addParam(morpheo::tools::viewer::bdd::Param *p);
      void addParam(string name,morpheo::tools::viewer::bdd::Param *p);
      /*accessors*/
      string getName();
      int getLevel();

    };//end class Group

};//end bdd
};//end viewer
};//end tools
};//end morpheo

#endif
